using System;
/// <remarks> Clock models a clock that ticks and emits an alert 
///   every 60 ticks. </remarks>

public class Clock
{  private int time;  // the time

  /// <summary> This is the ''constructor'' (__init__) method, 
  ///  which sets the starting values of the variables. </summary>
  /// <param name="init_time"> the initial time for the clock. </param>
  public Clock(int init_time)
  { time = init_time; }


  /// <summary> tick increments the clock by one tick </summary>
  public void tick()
  {  time = time + 1;
     if ((time % 60) == 0 )
        { Console.WriteLine("Alert: " + time); }
  }

  /// <summary> getTime returns the current time. </summary>
  /// <returns> the current time </returns>
  public int getTime()
  { return time; }


  /// <summary> reset resets the clock to a new time </summary>
  /// <param name="new_time"> the time to reset </param>
  public void reset(int new_time)
  { time = new_time; }
}
